Subject: bug#46240: Sorting order of read-char-by-name

From: Juri Linkov <[email-masked]>
Date: Fri, 05 Feb 2021 00:34:17 +0200

>> Oops, I noticed that my previous implementation sorted by names
>> inside each block, not by code.  I'm not sure if this makes sense?
>> Definitely, sorting by code inside blocks should be implemented
>> as the primary feature, but should an additional option with previous
>> implementation be retained to sort inside blocks by names too?
>
> Having the option to sort by names within each block sounds nice to me.

Oh, then sorting order of sections would need own option.  Currently
sections are sorted by section names (i.e. mostly by script names
alphabetically, e.g. "adlam", "aegean-number", "ahom", etc.),
but a new option could sort them by their boundary codepoints
(i.e. "basic-latin", "latin-supplement", "latin-extended"),
so now options are going out of control :)